Bug 828272

Summary: Update documentation for "normal" generation of grub.cfg
Product: [Fedora] Fedora Reporter: Kevin R. Page <redhat-bugzilla>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, collura, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:17:19 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Kevin R. Page 2012-06-04 09:38:37 EDT
Having upgraded several systems to F16 and F17 the majority have encountered some kind of problem with grub2 and have required regenerating grub.cfg as a remedial step (the specific bugs are tracked elsewhere).

This is no longer a simple case of updating /etc/grub.conf. Wiki pages tend to suggest using grub2-mkconfig, grub2-set-default, and grub2-install [1,2].

When one does this it's apparent that this process is *not* exactly what anaconda and yum install kernel do -- manually running this process ends up with extra grub menus including "safe mode"s, submenus, and for the dual-boot systems I've done, multiple entries for Windows.

This is not helpful since:
- I'm typically trying to tidy up a grub problem and these extra entries cause further confusion for users.
- It deviates the configuration even further away from the norm, which then seems to cause second-order problems with grub2.
- The only way to tidy this up *seems* to be to edit /boot/grub2/grub.cfg, which doesn't seem desirable.

The other use case is just wanting to push through changes -- e.g. to the timeout -- made in /etc/sysconfig/grub

(On my most recent upgrade F16->F17 running grub2-mkconfig after install has mysteriously changed the resolution, font, spews a few errors about missing files, and a "press any key to continue")

Please document how are normal/standard Fedora grub2 menu config is, and should be, generated. I don't like relying on hearsay from forums :)

I know that grubby has something to do with this process, but with grub2 the delta between what grubby produces and what I might generate by hand seems large and less clearly described.

If such a page already exists, please link to is from the pages below (which are top hits from google and the wiki).

[1] http://fedoraproject.org/wiki/GRUB_2
[2] http://fedoraproject.org/w/index.php?title=Features/Grub2
Comment 1 Fedora End Of Life 2013-01-16 12:00:08 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:17:22 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.